#! /bin/sh


if [ -z "$TOPDIR" ] ; then
  echo "you must define TOPDIR"
  exit 1
fi

source $TOPDIR/settings.sh

TMPDIR=$(mktemp -d TFTP.XXXXXX)

TFTPDIR=${TOPDIR}/${TMPDIR}
mkdir ${TFTPDIR}/PXE
mkdir ${TFTPDIR}/PXE/pxelinux.cfg


# and we make a file which tells us later that we were booted through PXE
touch $TOPDIR/root_tree32/var/state/pxe-booted
touch $TOPDIR/root_tree64/var/state/pxe-booted
sync

#then we build the rootdisk image 
$TOPDIR/build_diskimage.sh

# and we delete the files again
rm -f $TOPDIR/root_tree32/var/state/pxe-booted
rm -f $TOPDIR/root_tree64/var/state/pxe-booted

cp $TOPDIR/cdtree/isolinux/boot.msg $TFTPDIR/PXE/
cp $TOPDIR/cdtree/isolinux/sdisk32.img  $TFTPDIR/PXE/
cp $TOPDIR/cdtree/isolinux/sdisk64.img  $TFTPDIR/PXE/
cp $TOPDIR/cdtree/isolinux/isolinux.cfg $TFTPDIR/PXE/pxelinux.cfg/default
cp $TOPDIR/cdtree/isolinux/vm32 $TFTPDIR/PXE/
cp $TOPDIR/cdtree/isolinux/vm64 $TFTPDIR/PXE/
cp $TOPDIR/syslinux/pxelinux.0 $TFTPDIR/PXE/

echo "building a tarball with the distribution..."
cd $TFTPDIR
tar c . | gzip -9c > $TOPDIR/tftp_area.tar.gz
cd $TOPDIR
rm -rf $TFTPDIR
echo " tftp_area.tar.gz is ready to be put on your server"

echo "done"
