#! /bin/sh

if [ -z "$TOPDIR" ] ; then
  echo "you must define TOPDIR"
  exit
fi

IMADEKEYS=

[ -d $TOPDIR/hostkeys ] || mkdir $TOPDIR/hostkeys

if [ ! -f $TOPDIR/hostkeys/ssh_host_dsa_key -o ! -f $TOPDIR/hostkeys/ssh_host_dsa_key.pub ] ; then

    ssh-keygen -t dsa -b 1024 -N "" -C "RescueCD host key" -f $TOPDIR/hostkeys/ssh_host_dsa_key 
    IMADEKEYS=Y

fi

if [ ! -f $TOPDIR/hostkeys/ssh_host_rsa_key -o ! -f $TOPDIR/hostkeys/ssh_host_rsa_key.pub ] ; then

    ssh-keygen -t rsa -b 1024 -N "" -C "RescueCD host key" -f $TOPDIR/hostkeys/ssh_host_rsa_key 
    IMADEKEYS=Y

fi

if [ -n "$IMADEKEYS" ] ; then

    echo 
    echo " Warning: I didn't find host keys in your installation."
    echo "         New keys were generated in $TOPDIR/hostkeys."
    echo "         You need to copy them yourself (that is a feature):"
    echo "           cp $TOPDIR/hostkeys/ssh_host_*     root_tree32/etc/ssh/"
    echo "           cp $TOPDIR/hostkeys/ssh_host_*     root_tree64/etc/ssh/"
    echo " Preserve and backup those keys for future use."
    echo " Please copy the keys and re-run make."
    echo 
    echo " We are intentionally throwing an error here so you can take care of this first..."
    echo 
    exit 1

fi



     
