#! /bin/sh

# see if we are done already if we booted through bootp
if ifconfig eth0 >/dev/null 2>&1 
    then
    echo "[01;33m found pre-existing eth0 [00m"
    # then we should have this one:
    if [ ! -e /etc/modprobe.conf ] ; then
	echo "[01;33m Copying module info [00m"
	cp /initrd/etc/modprobe.conf /etc/modprobe.conf
    fi
    exit
fi

XPWD=`pwd`
#cd /lib/modules/net

echo "[01;33m finding network module [00m"

#insmod mii.o >/dev/null 2>&1
#insmod 8390.o >/dev/null 2>&1

for card in \
3c501 \
3c503 \
3c505 \
3c507 \
3c509 \
3c515 \
3c59x \
8139cp \
8139too \
8390 \
acenic \
amd8111e \
bnx2 \
cxgb \
b44 \
de4x5 \
dl2k \
dummy \
e1000 \
eepro100 \
epic100 \
lance \
pcnet32 \
r8169 \
s2io \
skge \
slhc \
smc-ultra \
smc9194 \
sundance \
tg3 \
tlan \
tulip \
typhoon \
via-rhine \
via-velocity \
ipg \
uli526x \
smc9194 \
forcedeth \
skge \
sky2 \
myri10ge \
sis190 \
sis900
do

  if modprobe ${card} >/dev/null 2>&1
  then

      if ifconfig eth0 >/dev/null 2>&1 
	  then
	  cat > /etc/modprobe.conf <<EOF
alias eth0 $card

EOF
          echo $card > /etc/eth0_module

          echo "[01;33mEthernet card eth0 is a $card [00m"
          exit
      else
	  modprobe -r  ${card} >/dev/null 2>&1
      fi
  fi

done

echo "[01;31msorry no ethernet card found here[00m"

cd $XPWD
